 drivers/char/ipmi/ipmi_msghandler.c |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

diff -puN drivers/char/ipmi/ipmi_msghandler.c~ipmi-warning-fixes drivers/char/ipmi/ipmi_msghandler.c
--- 25/drivers/char/ipmi/ipmi_msghandler.c~ipmi-warning-fixes	2003-04-20 22:52:32.000000000 -0700
+++ 25-akpm/drivers/char/ipmi/ipmi_msghandler.c	2003-04-20 22:53:17.000000000 -0700
@@ -174,7 +174,7 @@ struct ipmi_smi
 int
 ipmi_register_all_cmd_rcvr(ipmi_user_t user)
 {
-	int flags;
+	unsigned long flags;
 	int rv = -EBUSY;
 
 	write_lock_irqsave(&(user->intf->users_lock), flags);
@@ -193,7 +193,7 @@ ipmi_register_all_cmd_rcvr(ipmi_user_t u
 int
 ipmi_unregister_all_cmd_rcvr(ipmi_user_t user)
 {
-	int flags;
+	unsigned long flags;
 	int rv = -EINVAL;
 
 	write_lock_irqsave(&(user->intf->users_lock), flags);
@@ -1023,7 +1023,7 @@ int ipmi_register_smi(struct ipmi_smi_ha
 	int              rv;
 	ipmi_smi_t       new_intf;
 	struct list_head *entry;
-	unsigned int     flags;
+	unsigned long     flags;
 
 
 	/* Make sure the driver is actually initialized, this handles
@@ -1148,7 +1148,7 @@ int ipmi_unregister_smi(ipmi_smi_t intf)
 	int              rv = -ENODEV;
 	int              i;
 	struct list_head *entry;
-	unsigned int     flags;
+	unsigned long    flags;
 
 	down_write(&interfaces_sem);
 	if (list_empty(&(intf->users)))

_
